### BEGIN INIT INFO
# Provides:          Consul
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Consul Server
# Description:       Consul Server
### END INIT INFO

[Unit]
Description=Consul Server
Requires=network-online.target
After=network-online.target

[Service]
User={{ consul_user }}
Group={{ consul_group }}
PIDFile=/var/run/consul/consul.pid
ExecStart={{ consul_bin_path }}/consul agent -server -ui -bootstrap-expect 1 -client=192.168.56.77 -bind=0.0.0.0 -advertise=192.168.56.77 -data-dir=/opt/consul/data -config={{ consul_main_config }} {% if consul_log_level is defined %}-log-level={{ consul_log_level | lower }}
{% endif %}
ExecReload=/bin/kill -HUP $MAINPID
KillMode=process
KillSignal=SIGTERM
Restart=on-failure
RestartSec=42s

[Install]
WantedBy=multi-user.target
